From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-biology/bamtools/
Date: Wed, 13 Nov 2019 18:16:20 +0000 (UTC) [thread overview]
Message-ID: <1573668962.a217ed25f690d9d4ed7b492df1d0d4205830fa3f.soap@gentoo> (raw)
commit: a217ed25f690d9d4ed7b492df1d0d4205830fa3f
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 13 18:16:02 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Nov 13 18:16:02 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a217ed25
sci-biology/bamtools: Remove USE="static-libs"
Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sci-biology/bamtools/bamtools-2.5.1.ebuild | 33 +++---------------------------
sci-biology/bamtools/bamtools-9999.ebuild | 33 +++---------------------------
2 files changed, 6 insertions(+), 60 deletions(-)
diff --git a/sci-biology/bamtools/bamtools-2.5.1.ebuild b/sci-biology/bamtools/bamtools-2.5.1.ebuild
index 84c9dc83723..b5affe9f0fa 100644
--- a/sci-biology/bamtools/bamtools-2.5.1.ebuild
+++ b/sci-biology/bamtools/bamtools-2.5.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit cmake-utils multibuild
+inherit cmake-utils
DESCRIPTION="A programmer's API and an end-user's toolkit for handling BAM files"
HOMEPAGE="https://github.com/pezmaster31/bamtools"
@@ -18,7 +18,6 @@ fi
LICENSE="MIT"
SLOT="0/${PV}" # no stable ABI yet
-IUSE="static-libs"
RDEPEND="
>=dev-libs/jsoncpp-1.8.0:=
@@ -26,35 +25,9 @@ RDEPEND="
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
-pkg_setup() {
- [[ ${MERGE_TYPE} != binary ]] &&
- MULTIBUILD_VARIANTS=(
- $(usev static-libs)
- shared
- )
-}
-
src_prepare() {
# delete bundled libs, just to be safe
- rm -r src/third_party/{gtest-1.6.0,jsoncpp} || die
+ rm -rf src/third_party/{gtest-1.6.0,jsoncpp} || die
cmake-utils_src_prepare
}
-
-src_configure() {
- my_configure() {
- [[ ${MULTIBUILD_ID} == static-libs* ]] &&
- local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
-
- cmake-utils_src_configure
- }
- multibuild_foreach_variant my_configure
-}
-
-src_compile() {
- multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
- multibuild_foreach_variant cmake-utils_src_install
-}
diff --git a/sci-biology/bamtools/bamtools-9999.ebuild b/sci-biology/bamtools/bamtools-9999.ebuild
index 84c9dc83723..b5affe9f0fa 100644
--- a/sci-biology/bamtools/bamtools-9999.ebuild
+++ b/sci-biology/bamtools/bamtools-9999.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-inherit cmake-utils multibuild
+inherit cmake-utils
DESCRIPTION="A programmer's API and an end-user's toolkit for handling BAM files"
HOMEPAGE="https://github.com/pezmaster31/bamtools"
@@ -18,7 +18,6 @@ fi
LICENSE="MIT"
SLOT="0/${PV}" # no stable ABI yet
-IUSE="static-libs"
RDEPEND="
>=dev-libs/jsoncpp-1.8.0:=
@@ -26,35 +25,9 @@ RDEPEND="
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
-pkg_setup() {
- [[ ${MERGE_TYPE} != binary ]] &&
- MULTIBUILD_VARIANTS=(
- $(usev static-libs)
- shared
- )
-}
-
src_prepare() {
# delete bundled libs, just to be safe
- rm -r src/third_party/{gtest-1.6.0,jsoncpp} || die
+ rm -rf src/third_party/{gtest-1.6.0,jsoncpp} || die
cmake-utils_src_prepare
}
-
-src_configure() {
- my_configure() {
- [[ ${MULTIBUILD_ID} == static-libs* ]] &&
- local mycmakeargs=( -DBUILD_SHARED_LIBS=OFF )
-
- cmake-utils_src_configure
- }
- multibuild_foreach_variant my_configure
-}
-
-src_compile() {
- multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
- multibuild_foreach_variant cmake-utils_src_install
-}
next reply other threads:[~2019-11-13 18:16 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-13 18:16 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-06-20 20:04 [gentoo-commits] repo/gentoo:master commit in: sci-biology/bamtools/ David Seifert
2021-06-20 20:04 David Seifert
2020-04-14 8:35 Joonas Niilola
2018-12-13 14:08 David Seifert
2018-06-02 13:25 David Seifert
2017-12-23 18:45 David Seifert
2017-12-23 18:45 David Seifert
2017-12-23 18:45 David Seifert
2017-11-02 3:31 David Seifert
2017-11-02 3:19 David Seifert
2017-11-02 3:19 David Seifert
2015-12-13 9:54 Justin Lecher
2015-08-16 11:30 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1573668962.a217ed25f690d9d4ed7b492df1d0d4205830fa3f.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox